View Issue Details

IDProjectCategoryView StatusLast Update
0001709Ham Radio DeluxeBugpublic2017-05-24 21:55
ReporterWA9PIE 
Assigned ToWA9PIE 
PriorityhighSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.448 
Summary0001709: DM-780 memory leak causes program to freeze/crash
DescriptionGiven that Rick/Erik are already aware, I'm creating this record so that we will have something to reference in osTicket.
TagsNo tags attached.
ModuleDM780
Sub-ModuleGeneral
Testing

Relationships

Activities

user36

2014-08-30 13:10

  ~0000543

Need to test thoroughly before release.

user36

2014-09-12 13:10

  ~0000553

Still exists as of build 295.

Additional info:
Tim tested this while QSO window was decoding and saw private working memory continually increase over several hours' time.

Sliding the squelch slider to the far right to stop all decoding, memory usage stabilized and remained stable over a period of several hours.

-- N6EY

user36

2014-09-12 13:18

  ~0000554

Still exists as of build 295. See notes.

WA9PIE

2017-05-21 22:21

administrator   ~0003175

Closed in bulk

Issue History

Date Modified Username Field Change
2014-08-27 15:41 WA9PIE New Issue
2014-08-30 13:09 user36 Assigned To => ERIK
2014-08-30 13:09 user36 Status new => assigned
2014-08-30 13:10 user36 Fix Build TBD => 290
2014-08-30 13:10 user36 Note Added: 0000543
2014-08-30 13:10 user36 Status assigned => resolved
2014-08-30 13:10 user36 Resolution open => fixed
2014-09-12 13:10 user36 Note Added: 0000553
2014-09-12 13:18 user36 Note Added: 0000554
2014-09-12 13:18 user36 Status resolved => confirmed
2015-09-17 13:34 WA9PIE Category DM-780 => (No Category)
2015-09-17 13:35 WA9PIE Category (No Category) => Bug
2015-09-22 23:32 WA9PIE Fix Build 290 => (select)
2015-09-22 23:32 WA9PIE Report Build 6.2.6.284 => (select)
2015-09-22 23:32 WA9PIE Proposed Release => (select)
2015-09-22 23:32 WA9PIE Summary Bug: DM-780 memory leak causes program to freeze/crash => DM-780 memory leak causes program to freeze/crash
2017-03-08 00:07 WA9PIE Project 3 - Current Dev List => 1 - Backlog
2017-03-08 10:40 WA9PIE Assigned To ERIK => WA9PIE
2017-05-21 22:02 WA9PIE Project 1 - Backlog => Ham Radio Deluxe
2017-05-21 22:21 WA9PIE Note Added: 0003175
2017-05-21 22:21 WA9PIE Status confirmed => closed
2017-05-24 21:55 WA9PIE Fixed in Version => 6.3.0.448
2017-05-24 21:55 WA9PIE Reported in Build (ie. 377) (select) =>
2017-05-24 21:55 WA9PIE Fixed in Build (ie. 377) (select) =>